package fr.iut.pm.movieapplication.ui.viewmodel

import androidx.lifecycle.*
import fr.iut.pm.movieapplication.model.media.movie.MovieDetails
import fr.iut.pm.movieapplication.repository.MovieRepository
import kotlinx.coroutines.launch

class MoviesVM(private val repository: MovieRepository) : ViewModel() {

    private val _popularMovies = MutableLiveData<List<MovieDetails>>()
    val popularMovies : LiveData<List<MovieDetails>> = _popularMovies

    init {
        //loadData()
    }
}



class MoviesVMFactory(
    private val repository: MovieRepository
    ) : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        return MoviesVM(repository) as T
    }

}